

Arbeitslicht_hi_vo_MF = {};

function Arbeitslicht_hi_vo_MF.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Steerable, specializations);
end;

function Arbeitslicht_hi_vo_MF:load(xmlFile)
    
    self.numWorklights = Utils.getNoNil(getXMLInt(xmlFile, "vehicle.worklights#count"), 0);
    self.worklights = {};
    for i=1, self.numWorklights do
        local worklightnamei = string.format("vehicle.worklights.worklight" .. "%d", i);
        self.worklights[i] = Utils.indexToObject(self.rootNode, getXMLInt(xmlFile, worklightnamei .. "#index"));
        setVisibility(self.worklights[i], false);
    end;	
    self.worklightsActive = false;
    self.farLight = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.farLight#index"));
    self.farLightNode = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.farLight#node"))
    self.farLightActive = false;
    self.lighton = false;

end;

function Arbeitslicht_hi_vo_MF:delete()
end;

function Arbeitslicht_hi_vo_MF:mouseEvent(posX, posY, isDown, isUp, button)
end;


function Arbeitslicht_hi_vo_MF:keyEvent(unicode, sym, modifier, isDown)

	if isDown and sym == Input.KEY_l then
		self.worklightsActive = not self.worklightsActive;
	end;

	if isDown and sym == Input.KEY_r then
	   if self.lighton then
		self.farLightActive = not self.farLightActive;
	   end;
	end;
end;

function Arbeitslicht_hi_vo_MF:update(dt)

   
   if self.isEntered then
   	if self.worklightsActive then
		for i=1, self.numWorklights do
			local worklight = self.worklights[i];
			setVisibility(worklight, self.worklightsActive);
		end;
	else
		for i=1, self.numWorklights do
			local worklight = self.worklights[i];
			setVisibility(worklight, self.worklightsActive, false);
		end;
	end;
        if self.farLight ~= nil then
            if self.farLightActive then
            	setVisibility(self.farLight, self.farLightActive);
    		setRotation(self.farLightNode, Utils.degToRad(-5), 0, 0);
	    else
            	setVisibility(self.farLight, self.farLightActive);
    		setRotation(self.farLightNode, Utils.degToRad(20), 0, 0);
	    end;
        end;
        if InputBinding.hasEvent(InputBinding.TOGGLE_LIGHTS) then
		self.lighton = not self.lighton;
		if self.farLightActive then
			self.farLightActive = false;
		end;
	end;
   end;

end;


function Arbeitslicht_hi_vo_MF:onLeave()	
	self.worklightsActive = false;
	self.farLightActive = false;
	self.lighton = false;
	for i=1, self.numWorklights do
		local worklight = self.worklights[i];
		setVisibility(worklight, self.worklightsActive, false);
	end;
        setVisibility(self.farLight, false);
end;


function Arbeitslicht_hi_vo_MF:draw()  

end;